package com.steerinfo.ems.tcm0311.mapper;

import com.steerinfo.ems.tcm0311.model.TCm0311;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TCm0311Mapper extends IBaseMapper<TCm0311, String> {
    List<TCm0311> getNameAndId();
    List<TCm0311> getUnsitemNameAndId(Map<String, Object> parameters);
    TCm0311 getcheckstate(Map<String, Object> parameters);
    Long getMaxXh();
}